# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from clcommon.lib.cledition import lve_supported_or_exit
from lvestats.lib import config
from lvestats.lib.lve_create_db import configure_db
from lvestats.lib.parsers.lve_create_db_argparse import lve_create_db_parser


@lve_supported_or_exit
def main():
    parser = lve_create_db_parser()
    opts = parser.parse_args()

    try:
        cnf = config.read_config()
        configure_db(cnf, opts)
    except config.ConfigError as ce:
        ce.log_and_exit(None)


if __name__ == '__main__':
    main()
