# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

import sys

from clcommon.lib.cledition import lve_supported_or_exit
from clcommon.utils import silence_stdout_until_process_exit
from lvestats.lib import config
from lvestats.lib.info.lveinfomain import main


@lve_supported_or_exit
def lveinfo_main():
    try:
        main(config.read_config(), argv_=sys.argv[1:])
    except config.ConfigError as ce:
        ce.log_and_exit()
    else:
        silence_stdout_until_process_exit()


if __name__ == '__main__':
    lveinfo_main()
